﻿<%@ Page Language="vb" AutoEventWireup="true" CodeBehind="Default.aspx.vb" Inherits="MindFusion.Scheduling.Samples.VB.CustomAppointment._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>MindFusion WebPlanner Sample - Custom Appointment</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
	<style type="text/css">
		.CustomAppStyle .frame
		{
			background-image: url('birthday_cake.png') !important;
			background-color: Yellow !important;
			color: Purple;
			font-family: "Comic Sans MS" , Sans-Serif;
			background-repeat: no-repeat !important;
		}
	</style>
</head>
<body>
	<form id="form2" runat="server">
	<input type="hidden" runat="server" id="hidden" enableviewstate="false" />
	<input type="hidden" id="collapsed" runat="server" />
	<asp:ScriptManager ID="ScriptManager2" runat="server">
	</asp:ScriptManager>
	<div id="header" style="height: 49px;">
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample</h1>
			<p>
				This sample shows how to create a custom appointment class and register it with
				the Schedule. The sample uses a custom ItemConverter to transfer custom properties
				to be used by the client.</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px;">
		<div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
			<MindFusion:Calendar ID="Calendar1" runat="server" AutoPostBack="false" Theme="Vista"
				OnItemSerialization="Calendar1_ItemSerialization" Height="100%" Width="100%"
				ItemDoubleClickScript="onItemDoubleClick" AllowInplaceEdit="false" FormShowScript="onFormShow">
				<ItemSettings ShowContinuationArrows="Disabled" ShowRecurrenceExceptionIcons="Disabled"
					ShowRecurrenceIcons="Disabled" ShowReminderIcons="Disabled" />
				<MonthSettings HeaderStyle="MonthButtons, YearButtons, Title" />
			</MindFusion:Calendar>
		</div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	<script type="text/javascript">
	    function onItemDoubleClick(sender, args)
	    {
	        var item = args.get_item();
	        if (item.itemType)
	        {
	            var message = String.format('This is {0}\'s birthday!\n{0} turns {1}!', item.person, item.getOccurrenceIndex());
	            alert(message);
	        }
	    }

	    function onFormShow(sender, args)
	    {
	        var form = args.get_form();
	        if (form.getType() == 'edit')
	        {
	            var item = form.getItem();
	            if (item)
	            {
	                if (item.itemType)
	                {
	                    args.set_cancel(true);
	                }
	            }
	        }
	    }
	</script>
	</form>
</body>
</html>
